summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--bin/g-i-installation.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/g-i-installation.sh b/bin/g-i-installation.sh
index 38bdede2..fe12e8b7 100644
--- a/bin/g-i-installation.sh
+++ b/bin/g-i-installation.sh
@@ -959,6 +959,7 @@ monitor_system() {
INVALID_SIG_LINE=$(egrep "(Invalid Release signature)" $GOCR || true)
CDROM_PROBLEM=$(grep "There was a problem reading data from the CD-ROM" $GOCR || true)
INSTALL_PROBLEM=$(egrep "(nstallation step fail|he failing step i)" $GOCR || true)
+ ROOT_PROBLEM=$(egrep "(Giue root password for maintenance|or type Control-D to continue)" $GOCR || true)
BUILD_LTSP_PROBLEM=$(grep "The failing step is: Build LTSP chroot" $GOCR || true)
echo >> $GOCR
rm $GOCR.ppm
@@ -980,6 +981,9 @@ monitor_system() {
elif [ ! -z "$INSTALL_PROBLEM" ] ; then
echo "ERROR: An installation step failed." >> $GOCR
exit 1
+ elif [ ! -z "$ROOT_PROBLEM" ] ; then
+ echo "ERROR: System is hanging at boot and waiting for root maintainance." >> $GOCR
+ exit 1
elif [ ! -z "$BUILD_LTSP_PROBLEM" ] ; then
echo "ERROR: The failing step is: Build LTSP chroot." >> $GOCR
exit 1